## visad.data.hdfeos
Class GctpMap

    java.lang.Object
      visad.data.hdfeos.GctpMap

public class GctpMap
extends Object

Field Summary
`(package private) double[]` `lwrRight`
`int` `projcode`
`(package private) double[]` `projparms`
`(package private) Unit[]` `setUnits`
`(package private) int` `sphrcode`
`(package private) double[]` `uprLeft`
`(package private) int` `xdimsize`
`(package private) int` `ydimsize`
`(package private) int` `zonecode`

Constructor Summary
`GctpMap(int projcode, int zonecode, int sphrcode, int xdimsize, int ydimsize, double[] projparms, double[] uprLeft, double[] lwrRight)`

Method Summary
`Unit[]` `getUnits()`
`CoordinateSystem` `getVisADCoordinateSystem()`
`Set` `getVisADSet(MathType map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projparms

    double[] projparms

### projcode

    public int projcode

### setUnits

    Unit[] setUnits

### zonecode

    int zonecode

### sphrcode

    int sphrcode

### xdimsize

    int xdimsize

### ydimsize

    int ydimsize

### uprLeft

    double[] uprLeft

### lwrRight

    double[] lwrRight

Constructor Detail

### GctpMap

    public GctpMap(int projcode,
                   int zonecode,
                   int sphrcode,
                   int xdimsize,
                   int ydimsize,
                   double[] projparms,
                   double[] uprLeft,
                   double[] lwrRight)

Method Detail

### getVisADCoordinateSystem

    public CoordinateSystem getVisADCoordinateSystem()
                                              throws VisADException

  Throws:
    `VisADException`

### getUnits

    public Unit[] getUnits()

### getVisADSet

    public Set getVisADSet(MathType map)
                    throws VisADException

  Throws:
    `VisADException`